## mupen64plus-arm-pa64 1

=== Makefile ===
#/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
# *   Mupen64plus - Makefile                                                *
# *   Mupen64Plus homepage: http://code.google.com/p/mupen64plus/           *
# *   Copyright (C) 2007-2008 Richard Goedeken (Richard42)                  *
# *                                                                         *
# *   This program is free software; you can redistribute it and/or modify  *
# *   it under the terms of the GNU General Public License as published by  *
# *   the Free Software Foundation; either version 2 of the License, or     *
# *   (at your option) any later version.                                   *
# *                                                                         *
# *   This program is distributed in the hope that it will be useful,       *
# *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
# *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
# *   GNU General Public License for more details.                          *
# *                                                                         *
# *   You should have received a copy of the GNU General Public License     *
# *   along with this program; if not, write to the                         *
# *   Free Software Foundation, Inc.,                                       *
# *   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.          *
# * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

CUSTOM_CFLAGS ?= -O3 -Wall

# local CFLAGS, LIBS, and LDFLAGS
CFLAGS = $(CUSTOM_CFLAGS) -std=c99 -fpic -DPIC $(shell pkg-config --cflags libpulse-simple)
LDFLAGS = $(CUSTOM_LDFLAGS) --no-undefined
LDLIBS = $(CUSTOM_LDLIBS) $(shell pkg-config --libs libpulse-simple)

PLUGIN = pa64.so

# list of object files to generate
OBJECTS = pa64.o

# build targets
all: $(PLUGIN)

clean:
	rm -f *.o *.so

# build rules
.c.o:
	$(CC) -o $@ $(CFLAGS) -c $<

$(PLUGIN): $(OBJECTS)
	$(CC) -shared $^ $(LDFLAGS) -o $@ $(LDLIBS)
