=== debian/changelog ===
mupen64plus-arm-pa64 (1) unstable; urgency=low

  * Initial Release.

 -- Javier S. Pedro <maemo@javispedro.com>  Fri, 16 Jul 2010 14:18:45 +0200
