=== debian/control ===
Source: mupen64plus-arm-pa64
Section: unknown
Priority: extra
Maintainer: Javier S. Pedro <maemo@javispedro.com>
Build-Depends: debhelper (>= 5), libpulse-dev
Standards-Version: 3.7.2

Package: mupen64plus-arm-pa64
Architecture: any
Depends: ${shlibs:Depends}
Recommends: mupen64plus-arm
Description: Simple PulseAudio sound plugin for Mupen64
 Pa64 is a really simple sound plugin for Mupen64/Mupen64Plus, using
 PulseAudio's Simple API.
